package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamInfoDetailModel {

    /**
     * 规格ID
     */
    private Long id;

    /**
     * 活动ID
     */
    private Long teamId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 规格SKU
     */
    private String productSku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;

    public static ActivityTeamInfoDetailModel activityTeamInfoDetailModel(ActivityTeamProductSkuInfo activityTeamProductSkuInfo){
        return  ActivityTeamInfoDetailModel.builder()
                .id(activityTeamProductSkuInfo.getId())
                .teamId(activityTeamProductSkuInfo.getTeamId())
                .productId(activityTeamProductSkuInfo.getProductId())
                .productSku(activityTeamProductSkuInfo.getProductSku())
                .teamPrice(activityTeamProductSkuInfo.getTeamPrice())
                .teamStock(activityTeamProductSkuInfo.getTeamStock())
                .build();
    }


}
