package com.muyu.marketing.domain.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.marketing.domain.model.ActivityTeamDetailRespModel;
import com.muyu.marketing.domain.model.ActivityTeamInfoDetailModel;
import com.muyu.marketing.domain.req.TeamProjectSkuInfoAddReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;
import java.util.function.Function;

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ActivityTeamDetailResp {
    /**
     * 活动ID
     */
   private Long id;

    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */

    private String unit;
    /**
     * 轮播图
     */

    private String imageList;
    /**
     * 活动结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 活动排序
     */
    private Integer sort;
    /**
     * 商品SkU集合
     */
    private List<ActivityTeamProjectSkuResp> activityTeamProjectSkuResp;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private Long strategyId;

    public static ActivityTeamDetailResp teamDetailResp(ActivityTeamDetailRespModel activityTeamDetailRespModel, Function<Long,List<ActivityTeamProjectSkuResp>> addReqFunction){
    return   ActivityTeamDetailResp.builder()
             .id(activityTeamDetailRespModel.getId())
             .name(activityTeamDetailRespModel.getName())
             .productId(activityTeamDetailRespModel.getProductId())
            .imageList(activityTeamDetailRespModel.getImageList())
            .productImage(activityTeamDetailRespModel.getProductImage())
             .introduction(activityTeamDetailRespModel.getIntroduction())
             .unit(activityTeamDetailRespModel.getUnit())
             .endTime(activityTeamDetailRespModel.getEndTime())
             .sort(activityTeamDetailRespModel.getSort())
            .activityTeamProjectSkuResp(addReqFunction.apply(activityTeamDetailRespModel.getId()))
             .content(activityTeamDetailRespModel.getContent())
             .status(activityTeamDetailRespModel.getStatus())
             .strategyType(activityTeamDetailRespModel.getStrategyType())
             .strategyId(activityTeamDetailRespModel.getStrategyId())
             .strategyType(activityTeamDetailRespModel.getStrategyType())
             .build();
    }


}
