package com.muyu.marketing.domain.resp;

import com.muyu.marketing.domain.model.ActivityTeamInfoDetailModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.List;

/**
 * 回显的
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamProjectSkuResp {
    /**
     * 规格ID
     */
    private Long id;

    /**
     * 规格SKU
     */
    private String productSku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;

    public static List<ActivityTeamProjectSkuResp> teamProjectSkuResp(List<ActivityTeamInfoDetailModel> activityTeamInfoDetailModels){
        List<ActivityTeamProjectSkuResp> list = activityTeamInfoDetailModels.stream().map(activityTeamInfoDetailModel -> {
            ActivityTeamProjectSkuResp skuResp = ActivityTeamProjectSkuResp.builder()
                    .id(activityTeamInfoDetailModel.getId())
                    .productSku(activityTeamInfoDetailModel.getProductSku())
                    .teamStock(activityTeamInfoDetailModel.getTeamStock())
                    .teamPrice(activityTeamInfoDetailModel.getTeamPrice())
                    .build();

            return skuResp;
        }).toList();
        return list;
    }

}
